window.Gleam.initSearch([{"doc":"dahlia","title":"dahlia","content":"[![Package Version](https://img.shields.io/hexpm/v/dahlia)](https://hex.pm/packages/dahlia)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/dahlia/)\n\n# Dahlia.gleam\n\nA Gleam port of [Dahlia](https://github.com/dahlia-lib/Dahlia) — a simple text formatting package, inspired by the game Minecraft.\n\n## Exmaple\n\n```gleam\ndahlia.dahlia()\n  |&gt; dahlia.dprint(&quot;&amp;aHello Wolrd&quot;)\n```\n\n\n## Installation\n\nIf available on Hex this package can be added to your Gleam project:\n\n```sh\ngleam add dahlia\n```\n\nand its documentation can be found at &lt;https://hexdocs.pm/dahlia&gt;.\n","url":"index.html"},{"doc":"dahlia/ansi","title":"Ansi","content":"pub type Ansi {\n  AnsiColor3(Int)\n  AnsiColor4(Int)\n  AnsiColor8(Int, background: Bool)\n  AnsiColor24(Int, Int, Int, background: Bool)\n  AnsiSGR(Int)\n}\n\nAnsiColor3(Int)\n Ansi4 uses a single digit code.\n\nAnsiColor4(Int)\n Ansi4 uses a single digit code.\n\nAnsiColor8(Int, background: Bool)\n Ansi8 uses a single digit code for a number.\n\nAnsiColor24(Int, Int, Int, background: Bool)\n Ansi 24 is represented as RGB\n\nAnsiSGR(Int)\n SGR sequence, such as italics or bold.\n\nSynonyms:\ndahlia/ansi.Ansi\ndahlia/ansi Ansi","url":"dahlia/ansi.html#Ansi"},{"doc":"dahlia/ansi","title":"serialize","content":"pub fn serialize(ansi: Ansi) -&gt; String\n\nSynonyms:\ndahlia/ansi.serialize\ndahlia/ansi serialize","url":"dahlia/ansi.html#serialize"},{"doc":"dahlia/ansi","title":"dahlia/ansi","content":"","url":"dahlia/ansi.html"},{"doc":"dahlia/colors","title":"eight_bit","content":"pub fn eight_bit() -&gt; Map(String, Ansi)\n A color set for terminals that support 8 bit ansi. This color set includes\n formatting characters.\nSynonyms:\ndahlia/colors.eight_bit\ndahlia/colors eight_bit","url":"dahlia/colors.html#eight_bit"},{"doc":"dahlia/colors","title":"formatting","content":"pub fn formatting() -&gt; Map(String, Ansi)\n A color set of just formatting characters.\nSynonyms:\ndahlia/colors.formatting\ndahlia/colors formatting","url":"dahlia/colors.html#formatting"},{"doc":"dahlia/colors","title":"four_bit","content":"pub fn four_bit() -&gt; Map(String, Ansi)\n A color set for terminals that support 4 bit ansi. This color set includes\n formatting characters.\nSynonyms:\ndahlia/colors.four_bit\ndahlia/colors four_bit","url":"dahlia/colors.html#four_bit"},{"doc":"dahlia/colors","title":"three_bit","content":"pub fn three_bit() -&gt; Map(String, Ansi)\n A color set for terminals that support 3 bit ansi. This color set includes\n formatting characters.\nSynonyms:\ndahlia/colors.three_bit\ndahlia/colors three_bit","url":"dahlia/colors.html#three_bit"},{"doc":"dahlia/colors","title":"twentyfour_bit","content":"pub fn twentyfour_bit() -&gt; Map(String, Ansi)\n A color set for terminals that support 24 bit ansi. This color set includes\n formatting characters.\nSynonyms:\ndahlia/colors.twentyfour_bit\ndahlia/colors twentyfour_bit","url":"dahlia/colors.html#twentyfour_bit"},{"doc":"dahlia/colors","title":"dahlia/colors","content":"","url":"dahlia/colors.html"},{"doc":"dahlia","title":"Dahlia","content":"pub type Dahlia {\n  Dahlia(\n    colors: Option(map.Map(String, Ansi)),\n    escape_character: String,\n  )\n}\n\nDahlia(\n  colors: Option(map.Map(String, Ansi)),\n  escape_character: String,\n)\n\n\nSynonyms:\ndahlia.Dahlia\ndahlia Dahlia","url":"dahlia.html#Dahlia"},{"doc":"dahlia","title":"convert","content":"pub fn convert(d: Dahlia, string str: String) -&gt; String\n Convert a string to a formatted string.\n\n \n let result = dahlia.dahlia()\n   |&gt; dahlia.convert(&quot;&amp;aABCD&quot;)\n io.println(result)\n \nSynonyms:\ndahlia.convert\ndahlia convert","url":"dahlia.html#convert"},{"doc":"dahlia","title":"dahlia","content":"pub fn dahlia() -&gt; Dahlia\n Get a new dahlia object.\nSynonyms:\ndahlia.dahlia\ndahlia dahlia","url":"dahlia.html#dahlia"},{"doc":"dahlia","title":"dprint","content":"pub fn dprint(d: Dahlia, string str: String) -&gt; Nil\n Print a string as a formatted string.\n\n \n dahlia.dahlia()\n   |&gt; dahlia.dprint(&quot;&amp;aHello Wolrd&quot;)\n \nSynonyms:\ndahlia.dprint\ndahlia dprint","url":"dahlia.html#dprint"},{"doc":"dahlia","title":"dprintln","content":"pub fn dprintln(d: Dahlia, string str: String) -&gt; Nil\n Print a string as a formatted string, but with a newline\n after it.\nSynonyms:\ndahlia.dprintln\ndahlia dprintln","url":"dahlia.html#dprintln"},{"doc":"dahlia","title":"main","content":"pub fn main() -&gt; List(Nil)\n\nSynonyms:\ndahlia.main\ndahlia main","url":"dahlia.html#main"},{"doc":"dahlia","title":"merge_colors","content":"pub fn merge_colors(d: Dahlia, colors: Map(String, Ansi)) -&gt; Dahlia\n Merge colors to the current color set for the dahlia object.\n\n \n import dahlia\n import dahlia/ansi\n import gleam/map\n\n fn main() {\n   dahlia.dahlia()\n   |&gt; dahlia.merge_colors(\n     map.new()\n     |&gt; map.insert(&quot;c&quot;, ansi.Ansi24(255, 175, 243))\n   )\n   |&gt; dahlia.dprint(&quot;&amp;cHello Wolrd&quot;)\n }\n \nSynonyms:\ndahlia.merge_colors\ndahlia merge_colors","url":"dahlia.html#merge_colors"},{"doc":"dahlia","title":"with_colors","content":"pub fn with_colors(d: Dahlia, colors: Map(String, Ansi)) -&gt; Dahlia\n Use a custom color set for the dahlia object.\n\n \n import dahlia\n import dahlia/colors\n\n fn main() {\n   dahlia.dahlia()\n   |&gt; dahlia.with_colors(colors.three_bit())\n   |&gt; dahlia.dprint(&quot;&amp;aHello Wolrd&quot;)\n }\n \nSynonyms:\ndahlia.with_colors\ndahlia with_colors","url":"dahlia.html#with_colors"},{"doc":"dahlia","title":"with_escape_character","content":"pub fn with_escape_character(d: Dahlia, escape_character: String) -&gt; Dahlia\n Use a custom escape character for you dahlia strings.\n\n \n import dahlia\n import dahlia/colors\n\n fn main() {\n   dahlia.dahlia()\n   |&gt; dahlia.with_escape_character(&quot;%&quot;)\n   |&gt; dahlia.dprint(&quot;%aHello Wolrd&quot;)\n }\n \nSynonyms:\ndahlia.with_escape_character\ndahlia with_escape_character","url":"dahlia.html#with_escape_character"},{"doc":"dahlia","title":"dahlia","content":"","url":"dahlia.html"}]);